Skip to content
The API may change between versions while TTX-Zone is 0.x.

Step up email code

POST
/api/v1/auth/step-up/email-code
curl --request POST \
--url https://example.com/api/v1/auth/step-up/email-code \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token>

Emails a code for POST /auth/step-up with method=“email”.

accept-language
Any of:
string

Successful Response

Media typeapplication/json
EmailCodeSentResponse
object
sent_to
required
Sent To
string

Example generated

{
"sent_to": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}